SoIndexedLineSet(3)

NAME
SoIndexedLineSet - The SoIndexedLineSet class is used to render and otherwise represent indexed lines.

SYNOPSIS

#include <Inventor/nodes/SoIndexedLineSet.h>

Inherits SoIndexedShape.

  Public Member Functions
virtual SoType getTypeId (void) const
SoIndexedLineSet (void)
virtual void GLRender (SoGLRenderAction *action)
virtual void getBoundingBox (SoGetBoundingBoxAction *action)
virtual void getPrimitiveCount (SoGetPrimitiveCountAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoIndexedLineSet ()
virtual void notify (SoNotList *list)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoIndexedLineSet class is used to render and otherwise represent indexed lines. The indexed counterpart of SoLineSet. Lines can be specified using indices for coordinates, normals, materials and texture coordinates.

If no normals are supplied on the stack (or in the vertexProperty field), the lines will be rendered with lighting disabled.

For more information about line sets, see documentation in SoLineSet. For more information about indexed shapes, see documentation in SoIndexedShape and SoIndexedFaceSet.

FILE FORMAT/DEFAULTS:

IndexedLineSet {
    vertexProperty NULL
    coordIndex 0
    materialIndex -1
    normalIndex -1
    textureCoordIndex -1
}

Constructor & Destructor Documentation

  SoIndexedLineSet::SoIndexedLineSet (void)
Constructor.

  SoIndexedLineSet::~SoIndexedLineSet () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoIndexedLineSet::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoIndexedLineSet::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoIndexedShape.

  const SoFieldData ** SoIndexedLineSet::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoIndexedLineSet::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoIndexedShape.

  void SoIndexedLineSet::initClass (void) [static]

  void SoIndexedLineSet::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoShape.

  void SoIndexedLineSet::getBoundingBox (SoGetBoundingBoxAction * action) [virtual]
Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculate their bounding box also override this method to change the relevant state variables.

Reimplemented from SoShape.

  void SoIndexedLineSet::getPrimitiveCount (SoGetPrimitiveCountAction * action) [virtual]
Action method for the SoGetPrimitiveCountAction.

Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action.

Nodes influencing how geometry nodes calculate their primitive count also override this method to change the relevant state variables.

Reimplemented from SoShape.

  void SoIndexedLineSet::notify (SoNotList * l) [protected], [virtual]
Notifies all auditors for this instance when changes are made.

Reimplemented from SoVertexShape.

Author

Generated automatically by Doxygen for Coin from the source code.